
Foreman - Bug #13082

Windows images unavailable when creating GCE image entries

01/08/2016 07:35 AM - Andrew Montgomery-Hurrell

Status: Resolved   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently using the foreman packages for debian as per the documentation, when trying to create image entries for GCE compute

resources, you can't see any windows images.

This is because the fog-google gem is vendored to version 0.1.0 or lower, but the windows-cloud image project wasn't added to the

fog-google gem until after this release.

Related issues:

Related to Foreman - Bug #12015: fog-google no longer supports ruby 1.9 Closed 09/30/2015

History

#1 - 01/08/2016 07:41 AM - Dominic Cleal

- Blocked by Refactor #8884: Drop Ruby 1.9.3 support added

#2 - 01/08/2016 07:41 AM - Dominic Cleal

- Related to Bug #12015: fog-google no longer supports ruby 1.9 added

#3 - 01/08/2016 07:42 AM - Dominic Cleal

- Category set to Compute resources - GCE

The fog-google project now requires Ruby 2.0.0 and since we still support 1.9, it was pinned in the linked ticket until we decide to drop support for

1.9.3.

#4 - 05/10/2016 04:55 AM - Dominic Cleal

- Blocked by deleted (Refactor #8884: Drop Ruby 1.9.3 support)

#5 - 05/10/2016 04:55 AM - Dominic Cleal

- Blocked by Refactor #11729: Update fog to 2.0.0 added

#6 - 03/20/2019 06:33 PM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#7 - 04/06/2020 01:05 PM - Kavita Gaikwad

- Blocked by deleted (Refactor #11729: Update fog to 2.0.0)

#8 - 04/06/2020 01:11 PM - Kavita Gaikwad

- Status changed from New to Resolved

This should be resolved as a part of fix for https://projects.theforeman.org/issues/26024, https://projects.theforeman.org/issues/26025.
